<?php

// We don't want to allow direct access to this
defined( 'ABSPATH' ) OR die( 'No direct script access allowed' );

// we also only want to allow CLI access
defined( 'WP_CLI' ) OR die( 'Only CLI access allowed' );

class KCP_CSPGEN_CLI_Common {

    // throw a success message
    public static function cli_success( string $_msg ) : void {

        // throw the error
        WP_CLI::success( __( $_msg ) );

    }

    // throw an error message
    public static function cli_error( string $_msg ) : void {

        // throw the error
        WP_CLI::error( __( $_msg ) );

    }

    // throw an warning message
    public static function cli_warning( string $_msg ) : void {

        // throw the error
        WP_CLI::warning( __( $_msg ) );

    }
    

}