<?php

// We don't want to allow direct access to this
defined( 'ABSPATH' ) OR die( 'No direct script access allowed' );

// we also only want to allow CLI access
defined( 'WP_CLI' ) OR die( 'Only CLI access allowed' );

// the CLI class
class KCP_CSPGEN_CLI {

    // fire us up
    public function __construct( ) {

        if( class_exists( '\WP_CLI' ) ) { 

            // create our generate command
            WP_CLI::add_command( 'csp generate', function( ) {

                // fire up the processor
                $_processor = new KCP_CSPGEN_CLI_Process( );
                $_processor -> cli_process( );

                // no need to hold on to this, so get rid of it
                unset( $_processor ); 

            } );

        }

    }

}