<?php

// We don't want to allow direct access to this
defined( 'ABSPATH' ) OR die( 'No direct script access allowed' );

/*
Plugin Name: Security Header Generator
Description: Generates proper security headers for the front-end & admin of your site.  Includes WP CLI processing for generating a Content Security Policy.
Plugin URI: https://kevinpirnie.com
Author: Kevin C. Pirnie
Version: 1.4.09
Network: false
License: GPLv3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

// setup the full page to this plugin
define( 'WPSH_PATH', dirname( __FILE__ ) );

// setup the directory name
define( 'WPSH_DIRNAME', basename( dirname( __FILE__ ) ) );

// setup the primary plugin file name
define( 'WPSH_FILENAME', basename( __FILE__ ) );

// Require our primary
require( dirname( __FILE__ ) . '/work/common.php' );
